GET/api/v1/imports/notion/{import_id}

A Notion import's progress and report

state (uploading, queued, running, done, failed, cancelled) and progress (phase: reading, pages, content; done of total; the current page). When done: counts (pages, databases, rows, images, files; on a re-import updated, unchanged and kept_edited: pages edited in Markdrop since, left as they are), skipped and errors per page with the reason, and result (url to open, folder_url, the top-level pages). An HTML export fails with how to export again.

API token required240 per minute per IP

Guide: Import from Notion

Code samples and Try it

Path parameters

#
  • import_idstringRequired

Responses

#
  • 200OK.
  • 401No token, or the token is revoked or mistyped.
  • 422The request didn't validate. detail lists each problem, with where it is (loc) and why (msg).
  • 429Too many requests from your IP address. Wait the seconds in Retry-After.
Did this page help?